function objScore = objectivefun2(sodaPar,mStatesNOKF,vSeepTrue)

iSeep = 530;
if ~strcmp(sodaPar.stateNamesNOKF{iSeep},'vSeep')
    error('wrong variable')
else
    vSeepSim = mStatesNOKF(:,iSeep);
end    

% for consistency with objectivefun1, make selection because 
% vInnSim(end) is not defined:
sim = vSeepSim(1:end-1);
obs = vSeepTrue(1:end-1);

Dev = obs-sim;

objScore = sqrt(mean(Dev.^2));
